Subject: bug#58813: [PATCH] doc: Document how to use Patman for patches submission.

From: Maxim Cournoyer <[email-masked]>
Date: Fri, 10 Mar 2023 09:07:48 -0500

Hi Ludo,

Ludovic Courtès <[email-masked]> writes:

> Hi,
>
> Maxim Cournoyer <[email-masked]> skribis:
>
>> I've also discovered about '--cc-cmd', which could be used with the
>> recently introduced get-maintainer mode (which was added for patman
>> support); it can be used like this:
>>
>> git send-email --cc-cmd='etc/teams.scm get-maintainer' --dry-run -1
>
> Nice!  But yeah, would be nicer if it could use X-Debbugs-Cc.
>
> Perhaps we can still change the manual to recommend that followed by
> “sed -i *.patch -es/^Cc/X-Debbugs-Cc/”?
>
> Very low-tech but better than the status quo.  WDYT?
>
>> For this reason, I'm toying with the idea of contributing a "--x-cmd"
>> option to git send-email, which would be a script that outputs arbitrary
>> git send-email options to add to its command line.
>
> That’d be perfect!

Good, I haven't gotten any feedback from the #git folks, so I guess I'll
forge ahead and see what comments they have about the implementation.
It might be some time before I can hack on this.

To be continued!

-- 
Thanks,
Maxim